MagickMind
  1. Mindspaces
  • Get started
    • Introduction
    • Quick Start
    • First API Call
  • Core Concepts
    • Projects
    • Corpus
    • Mindspaces
    • End-Users
    • Websocket
  • Authentication
    • Overview
    • OAuth Flow
    • API Keys
  • Guides
    • Creating a Corpus
    • Managing End-Users
  • SDK
    • Python
    • Go
  • API
    • v1
      • Auth
        • Login
        • Refresh Token
      • End-Users
        • Create End-User
        • Get End-User by ID
        • Update End-User
        • Query End-Users
        • Delete End-User
      • Project
        • Create Project
        • Get Project by ID
        • Get Project List
        • Update Project
        • Delete Project
      • Mindspaces
        • Create Mindspace
          POST
        • Update Mindspace
          PUT
        • Get Mindspace by ID
          GET
        • Get Mindspace List
          GET
        • Delete Mindspace
          DELETE
        • Get Mindspace Messages
          GET
        • Delete Mindspace
          DELETE
        • Add Mindspace Users by ID
          POST
      • Chat
        • Magick Mind Chat
      • Realtime
        • Websocket Subscribe
  1. Mindspaces

Add Mindspace Users by ID

Developing
Prod Env
https://api.magickmind.ai
Prod Env
https://api.magickmind.ai
POST
/v1/mindspaces/{id}/users

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.magickmind.ai/v1/mindspaces/6972fc7815488d0531a5463c/users' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "user_ids": [
        "velit",
        "dolor sunt Lorem laborum"
    ]
}'
Response Response Example
{
    "id": "string",
    "name": "string",
    "description": "string",
    "project_id": "string",
    "corpus_ids": [
        "string"
    ],
    "user_ids": [
        "string"
    ],
    "type": "PRIVATE",
    "created_by": "string",
    "updated_by": "string",
    "created_at": "string",
    "updated_at": "string"
}
Previous
Delete Mindspace
Next
Magick Mind Chat
Built with